> ## Documentation Index
> Fetch the complete documentation index at: https://ngrok.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get

> Get detailed information about an SSH Certificate Authority




## OpenAPI

````yaml https://raw.githubusercontent.com/ngrok/ngrok-openapi/refs/heads/main/ngrok.yaml get /ssh_certificate_authorities/{id}
openapi: 3.0.0
info:
  title: ngrok OpenAPI
  version: 1.0.0
servers:
  - url: https://api.ngrok.com
security:
  - authentication: []
paths:
  /ssh_certificate_authorities/{id}:
    get:
      tags:
        - SSHCertificateAuthorities
      summary: Get
      description: |
        Get detailed information about an SSH Certificate Authority
      operationId: SshCertificateAuthoritiesGet
      parameters:
        - $ref: '#/components/parameters/ngrokVersion'
        - name: id
          description: |
            a resource identifier
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: |
            Get detailed information about an SSH Certificate Authority
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SSHCertificateAuthority'
components:
  parameters:
    ngrokVersion:
      name: ngrok-version
      in: header
      required: true
      schema:
        type: integer
        default: 2
  schemas:
    SSHCertificateAuthority:
      type: object
      properties:
        id:
          description: |
            unique identifier for this SSH Certificate Authority
          type: string
        uri:
          description: |
            URI of the SSH Certificate Authority API resource
          type: string
        created_at:
          description: >
            timestamp when the SSH Certificate Authority API resource was
            created, RFC 3339 format
          type: string
        description:
          description: >
            human-readable description of this SSH Certificate Authority.
            optional, max 255 bytes.
          type: string
        metadata:
          description: >
            arbitrary user-defined machine-readable data of this SSH Certificate
            Authority. optional, max 4096 bytes.
          type: string
        public_key:
          description: |
            raw public key for this SSH Certificate Authority
          type: string
        key_type:
          description: |
            the type of private key for this SSH Certificate Authority
          type: string
  securitySchemes:
    authentication:
      type: http
      scheme: bearer

````